%define upstream_name       Config-Model-CursesUI
%define upstream_version 1.105

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Curses interface for Config::Model
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::Model) >= 1.233.0
BuildRequires: perl(Curses::UI) >= 0.960.600
BuildRequires: perl(Exception::Class)
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(Module::Build) >= 0.420.0
BuildRequires: perl(Mouse::Meta::Attribute::Custom::Trait::Hash)
BuildArch:  noarch

%description
This class provides a the Curses::UI manpage interface to configuration
data managed by the Config::Model manpage.

IMPORTANT: Once the CursesUI object is created, STDOUT and STDERR are
managed by the Curses interface, so all print and warn will not work as
expected.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build


%install
./Build install --destdir=%{buildroot}

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.105.0-4pclos2017
- rebuild against updates

